#include <msp430x20x3.h>
#include "dogm_spi.h"

// EA-Dogm Test SPI via USI

int main() {

	  WDTCTL = WDTPW + WDTHOLD;            // Stop watchdog
	
	  lcdInit(); /* USI, Ports, ... (siehe Header) */
	  
	  lcdBoot163Default5V(); /* Display an (...) */
	  
	  unsigned char i; /* Schreibt die Grobuchstaben von A bis Z (ASCII 0x41 bis 0x5A) */
	  for (i = 0x41;i < 0x5A;i++) {
	  	lcdWrite(i); sleep(T30us);
	  }
	  
	  while(1) { /* Ende der Vorstellung, Target-Board LED blinkt (nur USB-Targetboard!) */
	  	P1OUT ^= 1;
	  	sleep(12500);
	  }
	
   /* return 0; unreachable */
}

